Limerence
Providers

List Available Providers

Get team's configured providers with their status and models

GET
/providers/available

Get team's configured providers with their status and models

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Query Parameters

enabledOnly?string|boolean|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/providers/available"
[  {    "baseUrl": null,    "displayName": null,    "id": "string",    "isConfigured": true,    "isEnabled": true,    "models": [      {        "id": "string",        "limits": {          "contextWindow": 0,          "maxOutput": 0        },        "name": "string",        "pricing": {          "input": 0,          "output": 0,          "reasoning": 0        },        "provider": "string"      }    ],    "provider": "string",    "supportsWebSearch": true,    "transcriptionModels": [      "string"    ]  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}